[@bigcommerce/checkout-sdk](../README.md) / AdyenComponent

# Interface: AdyenComponent

## Table of contents

### Properties

- [componentRef](AdyenComponent.md#componentref)
- [props](AdyenComponent.md#props)
- [state](AdyenComponent.md#state)

### Methods

- [mount](AdyenComponent.md#mount)
- [submit](AdyenComponent.md#submit)
- [unmount](AdyenComponent.md#unmount)

## Properties

### componentRef

• `Optional` **componentRef**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `showValidation` | () => `void` |

___

### props

• `Optional` **props**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `type?` | `string` |

___

### state

• `Optional` **state**: [`AdyenComponentState`](AdyenComponentState.md)

## Methods

### mount

▸ **mount**(`containerId`): `HTMLElement`

#### Parameters

| Name | Type |
| :------ | :------ |
| `containerId` | `string` |

#### Returns

`HTMLElement`

___

### submit

▸ **submit**(): `void`

#### Returns

`void`

___

### unmount

▸ **unmount**(): `void`

#### Returns

`void`
